commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ceki Gulcu <c...@qos.ch>
Subject Re: commons-logging version 0.0.0-EMPTY
Date Tue, 19 May 2009 20:00:29 GMT
Dennis Lundberg wrote:
> 
> Yes I'm aware of that. My concern is for those people who don't know
> about that. What will happen if they declare
> commons-logging:commons-logging without a version in their POM? Or
> declare the special token LATEST as a version for commons-logging? Will
> they get 1.1.1 or 0.0 or what?

- LATEST only affects maven plug-ins, not regular artifacts.
- You can't declare a dependency without a specific version.
- Version ranges have no effect.

I am no Maven expert, so all three assertions above might be wrong.

> Done
> 
> http://www.nabble.com/Need-your-input-on-a-repository-%22hack%22-to23605666.html

To be honest, I don't get your question nor Brian Fox's answer.

-- 
Ceki Gülcü
Logback: The reliable, generic, fast and flexible logging framework for Java.
http://logback.qos.ch

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message